var xmlHttp; //this object will send and recieve request and response

function sendRequest()
{
    xmlHttp = GetXmlHttpObject(); //create the object with which we will send
                                  //the request and recieve the response
    
    if (xmlHttp == null)
    {
        alert ("Your browser does not support AJAX!");
        return;
    }
    
    if (document.getElementById("recipient").value == "")
    {//we must fill in field recipient!
        document.getElementById("responseText").innerHTML = "";
        alert ("Recipient field is mandatory!");
        return;
    }
    
        
    var createdURL = ""; //this will be sent to Ozeki NG SMS Gateway Server...
    var parameters = ""; //...together with the parameters
    var ozSURL = "http://127.0.0.1"; //URL where Ozeki NG SMS Gateway Server is running
    var ozSPort = "9501"; //Port number on which Ozeki NG SMS Gateway Server is listening to
    var ozUsername = encodeURIComponent("admin"); //Username who can log in to Ozeki NG SMS Gateway Server
    var ozPassw = encodeURIComponent("abc123"); //the user's password
    var ozMessageType = "SMS:TEXT"; //type of the message
    var ozRecipient = encodeURIComponent(document.getElementById("recipient").value); // who
                                                                         //will recieve the message
    var ozMessageData = encodeURIComponent(document.getElementById("messagetext").value);
        //data of the message
    
    //we make the URL to the correct format for Ozeki NG SMS Gateway Server
    createdURL = ozSURL + ":" + ozSPort + "/httpapi";
    parameters = "action=sendMessage" + 
        "&username=" + ozUsername + "&password=" + ozPassw + "&messageType=" + 
        ozMessageType + "&recipient=" + ozRecipient + "&messageData=" + ozMessageData;
    
    try
    {
        xmlHttp.onreadystatechange = showResponse; //set property onreadystatechange on that function that we would like to run when
                                                   //response will be recieved
        
        if (navigator.appName == "Netscape")
        {
            try
            {
                //if we haven't got privilege then XMLHttpRequest.open will rise exception 
                //netscape.security.PrivilegeManager.enablePrivilege("UniversalPreferencesRead");
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
            }
            catch (e)
            {
                alert(e);
            }
        }

        xmlHttp.open("POST", createdURL, true);
        //if communication between our client and the server is slow, we inform the user about we are doing something:
        document.getElementById("responseText").innerHTML = "Request is under processing...";
        xmlHttp.send(parameters); //we send the request
    }
    catch(e)
    {
        if (navigator.appName == "Netscape")
        {
            alert(e);
        }
        else
        {
            alert(e.description);
        }
    }
}

function showResponse()
{
    if (xmlHttp.readyState == 4)
    {//state 4 means request is complete
        if (xmlHttp.responseText == "")
        {//if response text is empty then Ozeki NG SMS Gateway Server is not running
            document.getElementById("responseText").innerHTML = "Ozeki NG SMS Gateway Server is not running!";
        }
        else
        {//we write the response text on div responseText
            document.getElementById("responseText").innerHTML = xmlHttp.responseText;
        }
    }
}

function GetXmlHttpObject()
{
    var xmlHttp = null;
    try
    {
        // Firefox, Opera 8.0+, Safari
        xmlHttp = new XMLHttpRequest();
    }
    catch (e)
    {
        // Internet Explorer
        try
        {
            xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch (e)
        {
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
    }
    return xmlHttp;
}